
import 'package:json_annotation/json_annotation.dart';
import 'package:keyboard/data/bean/pay_way_info.dart';

import '../../bean/goods_info.dart';

part 'item_list_response.g.dart';

@JsonSerializable()
class ItemListResponse {
  @JsonKey(name: "list")
  List<GoodsInfo>? goodsInfoList;

  @JsonKey(name: "payOptions")
  List<PayWayInfo>? payInfoList;

  ItemListResponse(this.goodsInfoList, this.payInfoList);

  factory ItemListResponse.fromJson(Map<String, dynamic> json) =>
      _$ItemListResponseFromJson(json);
}